#include <iostream>
using namespace std;

double add(double a, double b) { return a + b; }
double subtract(double a, double b) { return a - b; }
double multiply(double a, double b) { return a * b; }
double divide(double a, double b) { return b != 0 ? a / b : 0; }

int main() {
    double (*operations[4])(double, double) = {add, subtract, multiply, divide};
    double num1, num2;
    int choice;

    cout << "Введите первое число: ";
    cin >> num1;
    cout << "Введите второе число: ";
    cin >> num2;
    cout << "Выберите операцию (0 - сложение, 1 - вычитание, 2 - умножение, 3 - деление): ";
    cin >> choice;

    if (choice >= 0 && choice < 4) {
        cout << "Результат: " << operations[choice](num1, num2) << endl;
    } else {
        cout << "Неверный выбор операции." << endl;
    }

    return 0;
}
